- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: a29b5165-55ae-4b47-a1a1-b52d37082b34
    creation_time: 2023-02-17T13:35:39.053052Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/while_infinite_loop_2.c
      input_file_hashes:
        c/loops/while_infinite_loop_2.c: 2285a0532f76c71ed3da856eea9f62f11be9df4ff1d205bf57c17e8ec94f6df8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/while_infinite_loop_2.c
    file_hash: 2285a0532f76c71ed3da856eea9f62f11be9df4ff1d205bf57c17e8ec94f6df8
    line: 15
    column: 0
    function: main
  loop_invariant:
    string: x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 83da13ee-7fc8-467b-888b-35382038dca4
    creation_time: 2023-02-17T13:35:39.053454Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/while_infinite_loop_2.c
      input_file_hashes:
        c/loops/while_infinite_loop_2.c: 2285a0532f76c71ed3da856eea9f62f11be9df4ff1d205bf57c17e8ec94f6df8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/while_infinite_loop_2.c
    file_hash: 2285a0532f76c71ed3da856eea9f62f11be9df4ff1d205bf57c17e8ec94f6df8
    line: 17
    column: 0
    function: main
  location_invariant:
    string: x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3306fa9d-be07-41eb-8890-9f5dfab91d8a
    creation_time: 2023-02-17T13:35:39.053547Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/while_infinite_loop_2.c
      input_file_hashes:
        c/loops/while_infinite_loop_2.c: 2285a0532f76c71ed3da856eea9f62f11be9df4ff1d205bf57c17e8ec94f6df8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/while_infinite_loop_2.c
    file_hash: 2285a0532f76c71ed3da856eea9f62f11be9df4ff1d205bf57c17e8ec94f6df8
    line: 20
    column: 0
    function: main
  location_invariant:
    string: x == 0
    type: assertion
    format: C

